<?php
// @codingStandardsIgnoreFile
// @codeCoverageIgnoreStart
require_once '/usr/share/php/Fedora/Autoloader'.'/autoload.php';

\Fedora\Autoloader\Autoload::addClassMap(
    array(
        'doctrine\\dbal\\migrations\\abortmigrationexception' => '/AbortMigrationException.php',
                'doctrine\\dbal\\migrations\\abstractmigration' => '/AbstractMigration.php',
                'doctrine\\dbal\\migrations\\configuration\\abstractfileconfiguration' => '/Configuration/AbstractFileConfiguration.php',
                'doctrine\\dbal\\migrations\\configuration\\arrayconfiguration' => '/Configuration/ArrayConfiguration.php',
                'doctrine\\dbal\\migrations\\configuration\\configuration' => '/Configuration/Configuration.php',
                'doctrine\\dbal\\migrations\\configuration\\connection\\connectionloaderinterface' => '/Configuration/Connection/ConnectionLoaderInterface.php',
                'doctrine\\dbal\\migrations\\configuration\\connection\\loader\\arrayconnectionconfigurationloader' => '/Configuration/Connection/Loader/ArrayConnectionConfigurationLoader.php',
                'doctrine\\dbal\\migrations\\configuration\\connection\\loader\\connectionconfigurationchainloader' => '/Configuration/Connection/Loader/ConnectionConfigurationChainLoader.php',
                'doctrine\\dbal\\migrations\\configuration\\connection\\loader\\connectionconfigurationloader' => '/Configuration/Connection/Loader/ConnectionConfigurationLoader.php',
                'doctrine\\dbal\\migrations\\configuration\\connection\\loader\\connectionhelperloader' => '/Configuration/Connection/Loader/ConnectionHelperLoader.php',
                'doctrine\\dbal\\migrations\\configuration\\jsonconfiguration' => '/Configuration/JsonConfiguration.php',
                'doctrine\\dbal\\migrations\\configuration\\xmlconfiguration' => '/Configuration/XmlConfiguration.php',
                'doctrine\\dbal\\migrations\\configuration\\yamlconfiguration' => '/Configuration/YamlConfiguration.php',
                'doctrine\\dbal\\migrations\\event\\listeners\\autocommitlistener' => '/Event/Listeners/AutoCommitListener.php',
                'doctrine\\dbal\\migrations\\event\\migrationseventargs' => '/Event/MigrationsEventArgs.php',
                'doctrine\\dbal\\migrations\\event\\migrationsversioneventargs' => '/Event/MigrationsVersionEventArgs.php',
                'doctrine\\dbal\\migrations\\events' => '/Events.php',
                'doctrine\\dbal\\migrations\\filequerywriter' => '/FileQueryWriter.php',
                'doctrine\\dbal\\migrations\\finder\\abstractfinder' => '/Finder/AbstractFinder.php',
                'doctrine\\dbal\\migrations\\finder\\globfinder' => '/Finder/GlobFinder.php',
                'doctrine\\dbal\\migrations\\finder\\migrationdeepfinderinterface' => '/Finder/MigrationDeepFinderInterface.php',
                'doctrine\\dbal\\migrations\\finder\\migrationfinderinterface' => '/Finder/MigrationFinderInterface.php',
                'doctrine\\dbal\\migrations\\finder\\recursiveregexfinder' => '/Finder/RecursiveRegexFinder.php',
                'doctrine\\dbal\\migrations\\irreversiblemigrationexception' => '/IrreversibleMigrationException.php',
                'doctrine\\dbal\\migrations\\migration' => '/Migration.php',
                'doctrine\\dbal\\migrations\\migrationexception' => '/MigrationException.php',
                'doctrine\\dbal\\migrations\\migrationsversion' => '/MigrationsVersion.php',
                'doctrine\\dbal\\migrations\\outputwriter' => '/OutputWriter.php',
                'doctrine\\dbal\\migrations\\provider\\lazyschemadiffprovider' => '/Provider/LazySchemaDiffProvider.php',
                'doctrine\\dbal\\migrations\\provider\\ormschemaprovider' => '/Provider/OrmSchemaProvider.php',
                'doctrine\\dbal\\migrations\\provider\\schemadiffprovider' => '/Provider/SchemaDiffProvider.php',
                'doctrine\\dbal\\migrations\\provider\\schemadiffproviderinterface' => '/Provider/SchemaDiffProviderInterface.php',
                'doctrine\\dbal\\migrations\\provider\\schemaproviderinterface' => '/Provider/SchemaProviderInterface.php',
                'doctrine\\dbal\\migrations\\provider\\stubschemaprovider' => '/Provider/StubSchemaProvider.php',
                'doctrine\\dbal\\migrations\\querywriter' => '/QueryWriter.php',
                'doctrine\\dbal\\migrations\\skipmigrationexception' => '/SkipMigrationException.php',
                'doctrine\\dbal\\migrations\\sqlfilewriter' => '/SqlFileWriter.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\abstractcommand' => '/Tools/Console/Command/AbstractCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\diffcommand' => '/Tools/Console/Command/DiffCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\executecommand' => '/Tools/Console/Command/ExecuteCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\generatecommand' => '/Tools/Console/Command/GenerateCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\latestcommand' => '/Tools/Console/Command/LatestCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\migratecommand' => '/Tools/Console/Command/MigrateCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\statuscommand' => '/Tools/Console/Command/StatusCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\uptodatecommand' => '/Tools/Console/Command/UpToDateCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\command\\versioncommand' => '/Tools/Console/Command/VersionCommand.php',
                'doctrine\\dbal\\migrations\\tools\\console\\consolerunner' => '/Tools/Console/ConsoleRunner.php',
                'doctrine\\dbal\\migrations\\tools\\console\\helper\\configurationhelper' => '/Tools/Console/Helper/ConfigurationHelper.php',
                'doctrine\\dbal\\migrations\\tools\\console\\helper\\configurationhelperinterface' => '/Tools/Console/Helper/ConfigurationHelperInterface.php',
                'doctrine\\dbal\\migrations\\tools\\console\\helper\\migrationdirectoryhelper' => '/Tools/Console/Helper/MigrationDirectoryHelper.php',
                'doctrine\\dbal\\migrations\\tools\\console\\helper\\migrationstatusinfoshelper' => '/Tools/Console/Helper/MigrationStatusInfosHelper.php',
                'doctrine\\dbal\\migrations\\version' => '/Version.php',
                'doctrine\\migrations\\abstractmigration' => '/../../Migrations/AbstractMigration.php',
    ),
    __DIR__
);
// @codeCoverageIgnoreEnd

// Dependencies
\Fedora\Autoloader\Dependencies::required([
    '/usr/share/php/Doctrine/DBAL/autoload.php',
    [
        '/usr/share/php/Symfony4/Component/Console/autoload.php',
        '/usr/share/php/Symfony3/Component/Console/autoload.php',
    ],
    '/usr/share/php/ProxyManager/autoload.php',
]);
\Fedora\Autoloader\Dependencies::optional([
    '/usr/share/php/jdorn-sql-formatter/autoload.php',
    [
        '/usr/share/php/Symfony4/Component/Yaml/autoload.php',
        '/usr/share/php/Symfony3/Component/Yaml/autoload.php',
    ],
]);
